Package org.eclipse.birt.chart.model.type.impl

# Class TypeFactoryImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.emf.ecore.impl.EModelElementImpl
org.eclipse.emf.ecore.impl.EFactoryImpl
org.eclipse.birt.chart.model.type.impl.TypeFactoryImpl

All Implemented Interfaces:
  `TypeFactory`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EFactory`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`, `org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.DataConverter.Factory`

public class TypeFactoryImpl extends org.eclipse.emf.ecore.impl.EFactoryImpl implements TypeFactory
An implementation of the model Factory .

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Fields inherited from interface org.eclipse.birt.chart.model.type.TypeFactory

`eINSTANCE`

## Constructor Summary

Constructors
Constructor
Description
`TypeFactoryImpl()`
Creates an instance of the factory.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.ecore.EObject`
`create(org.eclipse.emf.ecore.EClass eClass)`
`AreaSeries`
`createAreaSeries()`
`BarSeries`
`createBarSeries()`
`BubbleSeries`
`createBubbleSeries()`
`DialSeries`
`createDialSeries()`
`DifferenceSeries`
`createDifferenceSeries()`
`GanttSeries`
`createGanttSeries()`
`LineSeries`
`createLineSeries()`
`PieSeries`
`createPieSeries()`
`ScatterSeries`
`createScatterSeries()`
`StockSeries`
`createStockSeries()`
`static TypePackage`
`getPackage()`
Deprecated.
`TypePackage`
`getTypePackage()`
`static TypeFactory`
`init()`
Creates the default factory implementation.

### Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

`basicSetEPackage, convertToString, create, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eUnset, getEPackage, setEPackage`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`convertToString, createFromString, getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Constructor Details

### TypeFactoryImpl

public TypeFactoryImpl()
Creates an instance of the factory.

## Method Details

### init

public static TypeFactory init()
Creates the default factory implementation.

### create

public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

Specified by:
  `create` in interface `org.eclipse.emf.ecore.EFactory`
Overrides:
  `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createAreaSeries

public AreaSeries createAreaSeries()

Specified by:
  `createAreaSeries` in interface `TypeFactory`
Returns:
  a new object of class 'Area Series'.

### createBarSeries

public BarSeries createBarSeries()

Specified by:
  `createBarSeries` in interface `TypeFactory`
Returns:
  a new object of class 'Bar Series'.

### createBubbleSeries

public BubbleSeries createBubbleSeries()

Specified by:
  `createBubbleSeries` in interface `TypeFactory`
Returns:
  a new object of class 'Bubble Series'.

### createDialSeries

public DialSeries createDialSeries()

Specified by:
  `createDialSeries` in interface `TypeFactory`
Returns:
  a new object of class 'Dial Series'.

### createDifferenceSeries

public DifferenceSeries createDifferenceSeries()

Specified by:
  `createDifferenceSeries` in interface `TypeFactory`
Returns:
  a new object of class 'Difference Series'.

### createGanttSeries

public GanttSeries createGanttSeries()

Specified by:
  `createGanttSeries` in interface `TypeFactory`
Returns:
  a new object of class 'Gantt Series'.

### createLineSeries

public LineSeries createLineSeries()

Specified by:
  `createLineSeries` in interface `TypeFactory`
Returns:
  a new object of class 'Line Series'.

### createPieSeries

public PieSeries createPieSeries()

Specified by:
  `createPieSeries` in interface `TypeFactory`
Returns:
  a new object of class 'Pie Series'.

### createScatterSeries

public ScatterSeries createScatterSeries()

Specified by:
  `createScatterSeries` in interface `TypeFactory`
Returns:
  a new object of class 'Scatter Series'.

### createStockSeries

public StockSeries createStockSeries()

Specified by:
  `createStockSeries` in interface `TypeFactory`
Returns:
  a new object of class 'Stock Series'.

### getTypePackage

public TypePackage getTypePackage()

Specified by:
  `getTypePackage` in interface `TypeFactory`
Returns:
  the package supported by this factory.

### getPackage

@Deprecated public static TypePackage getPackage()
Deprecated.